#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend

# migration calls in server/addons/vehicle_certification.js on server start
## check current log which ran from root and move it to bak
DATE=$(date +%Y-%m-%d)

if [ -d $RTLS_FRONTEND_PREFIX/server/addons/vehicle_certification ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/server/addons/vehicle_certification
fi

if [ -d $RTLS_FRONTEND_PREFIX/client/addons/vehicle_certification ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/client/addons/vehicle_certification
fi

if [ -e $RTLS_FRONTEND_PREFIX/client/addons/vehicle_certification.js ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/client/addons/vehicle_certification.js
fi

cd $RTLS_FRONTEND_PREFIX/client && npm run build:prod

systemctl restart rtls-server

exit 0
