#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend

if [ -z "$BETA" ]; then
  echo "Building SiteWise"
  cd $RTLS_FRONTEND_PREFIX/client && npm run build:prod
else
  echo "Building SiteWise Beta Version"
  cd $RTLS_FRONTEND_PREFIX/client && npm run build:beta
fi

sudo systemctl is-active --quiet rtls-param-observer && systemctl restart rtls-param-observer
systemctl restart rtls-server
