import { MODAL_ACTIONS } from '../../../common/constants';

const initialState = {
    open: false,
    vehicleModel: null,
};

const editVehicleModel = (state = initialState, action) => {
    switch (action.type) {
        case MODAL_ACTIONS.OPEN_EDIT_VM_MODAL: {
            const newState = { open: true };
            if (action.params && action.params.id) {
                newState.vehicleModel = action.params;
            }
            return newState;
        }
        case MODAL_ACTIONS.CLOSE_EDIT_VM_MODAL: {
            return initialState;
        }
        default:
            return state;
    }
};

export default editVehicleModel;
